python-audit_2.4.5-1ubuntu2_amd64.deb


Advertisement

Description

python-audit - Python bindings for security auditing

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-audit
Package version: 2.4.5
Package release: 1ubuntu2
Package architecture: amd64
Package type: deb
Installed size: 424 B
Download size: 63.74 KB
Official Mirror: archive.ubuntu.com
The package contains the Python bindings for libaudit and libauparse, which are used to monitor systems for security related events. Python can be used to parse and process the security event messages.

Alternatives

Provides

  • python2.7-audit

    Download

    Source package: audit

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-audit deb package:
      # sudo apt-get install python-audit

    Files

    • /usr/lib/python2.7/dist-packages/_audit.x86_64-linux-gnu.so
    • /usr/lib/python2.7/dist-packages/audit.py
    • /usr/lib/python2.7/dist-packages/auparse.x86_64-linux-gnu.so
    • /usr/share/doc/python-audit/changelog.Debian.gz
    • /usr/share/doc/python-audit/copyright
    • /usr/share/doc/python-audit/examples/avc_snap

    Changelog

    2016-01-18 - Matthias Klose <doko@ubuntu.com> audit (1:2.4.5-1ubuntu2) xenial; urgency=medium * No-change rebuild to drop python3.4 support.

    2016-01-12 - Steve Langasek <steve.langasek@ubuntu.com> audit (1:2.4.5-1ubuntu1) xenial; urgency=low * Merge from Debian unstable. Remaining changes: - debian/rules: Disable auditd network listener, with --disable-listener, to reduce the risk of a remote attack on auditd, which runs as root - debian/auditd.init: The start command now requires $remote_fs to be started because it may call /bin/augenrules, which depends on /usr/bin/awk. $PATH must also be updated so that augenrules can find awk.

    2015-12-26 - Laurent Bigonville <bigon@debian.org> audit (1:2.4.5-1) unstable; urgency=medium * New upstream release * Fix FTBFS when building arch-independent packages (Closes: #805996) * debian/libaudit-dev.install: Install audit.m4 file

    2015-10-30 - Steve Langasek <steve.langasek@ubuntu.com> audit (1:2.4.4-4ubuntu1) xenial; urgency=low * Merge from Debian unstable. Remaining changes: - debian/rules: Disable auditd network listener, with --disable-listener, to reduce the risk of a remote attack on auditd, which runs as root - debian/auditd.init: The start command now requires $remote_fs to be started because it may call /bin/augenrules, which depends on /usr/bin/awk. $PATH must also be updated so that augenrules can find awk.

    2015-10-04 - Laurent Bigonville <bigon@debian.org> audit (1:2.4.4-4) unstable; urgency=medium * Build python3 bindings for all python3 versions (Closes: #800117)

    2015-09-17 - Laurent Bigonville <bigon@debian.org> audit (1:2.4.4-3) unstable; urgency=medium * debian/control: Move golang-go to Build-Depends-Indep, it's only needed for an arch:all package and not available on all architectures

    2015-09-09 - Laurent Bigonville <bigon@debian.org> audit (1:2.4.4-2) unstable; urgency=medium * Start building the golang binding * Start building python3 binding package

    2015-08-24 - Laurent Bigonville <bigon@debian.org> audit (1:2.4.4-1) unstable; urgency=medium * New upstream release - Fix log terminal emulator escape sequences handling (Closes: #795457 CVE-2015-5186) - Internal libev updated to 4.20, this should fix the clang FTBFS (Closes: #787066) - debian/libauparse0.symbols: Adjust the symbols file * Install .pc files in the respective -dev packages * debian/control: Explicitly build-depends against dh-python * debian/rules: Unconditionally enable Aarch64 processor support now that it's an official port.

    2015-08-12 - Steve Langasek <steve.langasek@ubuntu.com> audit (1:2.4.2-1ubuntu1) wily; urgency=low * Merge from Debian unstable. Remaining changes: - debian/rules: Disable auditd network listener, with --disable-listener, to reduce the risk of a remote attack on auditd, which runs as root - debian/auditd.init: The start command now requires $remote_fs to be started because it may call /bin/augenrules, which depends on /usr/bin/awk. $PATH must also be updated so that augenrules can find awk. * Dropped changes, included upstream: - Backport ppc64el support changeset * Re-add build-dependency on libwrap; it's only used by the listener so it's a spurious build-dependency in Ubuntu, but nothing we need to carry a delta for since libwrap is in main.

    2015-06-08 - Laurent Bigonville <bigon@debian.org> audit (1:2.4.2-1) unstable; urgency=medium * New upstream release - Adjust the .symbols files * debian/watch: Fix URL to download the proper tarball * debian/control: Bump Standards-Version to 3.9.6 (no further changes)

    Advertisement
    Advertisement